
// PrintRawSDIDlg.h : header file
//

#pragma once
#include "afxwin.h"


// CPrintRawSDIDlg dialog
class CPrintRawSDIDlg : public CDialog
{
// Construction
public:
	CPrintRawSDIDlg(CWnd* pParent = NULL);	// standard constructor
	~CPrintRawSDIDlg() { ClearData(); }

// Dialog Data
	enum { IDD = IDD_PRINTRAWSDI_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBnClickedFile();
	afx_msg void OnBnClickedScanVbi();
	afx_msg void OnBnClickedPrintVbi();
	afx_msg void OnBnClickedPrintPackets();
	DECLARE_MESSAGE_MAP()

private:
	CEdit m_FileName;
	CEdit m_NumberEdit;
	CEdit m_Text;
	CString m_szFileName;
	// raw data
	BYTE *m_pData;
	int m_nDataSize;
	// 16-bit data
	WORD *m_pData16;
	int m_nDataSize16;

private:
	void ClearData() {
		if( m_pData != NULL ) { delete[] m_pData;  m_pData=NULL; }
		m_nDataSize = 0;
		if( m_pData16 != NULL ) { delete[] m_pData16;  m_pData16=NULL; }
		m_nDataSize16 = 0;
	}
	bool ReadRawData(CString szFileName);
	int ScanVBI(int nLine);
	CString PrintVBI(int nLine);
	CString PrintPackets(int nLine);
	CString PrintPacket(WORD *ptr, int &skipSize, CString szPlane, int nOffset);
};
